#!/bin/ksh

LANGS="pl de"

if [[ -e '/usr/share/locale' ]] then
	LOCALEDIR=/usr/share/locale
else
	LOCALEDIR=/usr/lib/locale
fi

set -x
xgettext -dvim -k_ -kN_ *.c
cd ../po

for i in $LANGS
do
	mv ${i}.po ${i}.old.po
	msgmerge ${i}.old.po ../src/vim.po -o ${i}.po
	if [[ -e ${i}.po ]]
	then
		rm -f ${i}.old.po
	else
		mv ${i}.old.po ${i}.po
	fi
	msgfmt -o${i}.mo ${i}.po

	install -c -m 644 ../po/${i}.mo ${LOCALEDIR}/${i}/LC_MESSAGES/vim.mo
done
rm -f ../src/vim.po
